
QGIS Application - Bug report #7505

mapinfo non geographic tab file has wrong legend icon

2013-04-04 05:22 AM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16455

Description

When opening a tab file with non geographic datas, icon displayed should be the attribute table icon, and not image icon. See attached

image for this

Associated revisions

Revision 69ce0397 - 2014-06-21 11:39 PM - Jürgen Fischer

ogr provider: return wkbNone if ogr reports unknown geometry and first feature is geometryless (fixes #7505)

History

#1 - 2014-06-21 01:38 PM - Jürgen Fischer

- Subject changed from mapinfo non geographic tab file has wronng legend icon to mapinfo non geographic tab file has wrong legend icon

#2 - 2014-06-21 02:39 PM - Jürgen Fischer

- Category set to Data Provider/OGR

#3 - 2014-06-21 03:02 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"69ce0397a3cccf63ae766094346d984d94a13687".
